<?php
namespace Mirasvit\SeoContent\Controller\Adminhtml\Template\Duplicate;

/**
 * Interceptor class for @see \Mirasvit\SeoContent\Controller\Adminhtml\Template\Duplicate
 */
class Interceptor extends \Mirasvit\SeoContent\Controller\Adminhtml\Template\Duplicate implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Mirasvit\SeoContent\Api\Repository\TemplateRepositoryInterface $templateRepository, \Magento\Framework\Registry $registry, \Magento\Backend\App\Action\Context $context, \Mirasvit\SeoContent\Service\ContentService $contentService)
    {
        $this->___init();
        parent::__construct($templateRepository, $registry, $context, $contentService);
    }

    /**
     * {@inheritdoc}
     */
    public function execute()
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'execute');
        return $pluginInfo ? $this->___callPlugins('execute', func_get_args(), $pluginInfo) : parent::execute();
    }

    /**
     * {@inheritdoc}
     */
    public function dispatch(\Magento\Framework\App\RequestInterface $request)
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'dispatch');
        return $pluginInfo ? $this->___callPlugins('dispatch', func_get_args(), $pluginInfo) : parent::dispatch($request);
    }
}
